Skip to main content
PUT
Update team metadata

Authorizations

Authorization
string
header
required

All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.

Path Parameters

tagOrId
string
required

The tag (x-cortex-tag) or unique, auto-generated identifier (CID) for the entity. If the tag contains forward slashes, URL-encode each / as %2F. The tag is matched exactly as encoded, including leading, trailing, and consecutive slashes, which are preserved and not collapsed (for example, the tag /services/payments-api is referenced as %2Fservices%2Fpayments-api). Tags containing slashes are supported via the API but not in the Cortex UI; this difference is expected. Entity identifier - can be a tag or CID

Body

application/json

Use this request shape when updating a team entry whose memberships are manually maintained via API or the UI.

cortexTeam
object
required
type
string
required

Use "IDP" for IdentityProviderBackedTeam and "CORTEX" for ManagedTeam

metadata
object
required
slackChannels
object[]
required

Response

Successfully updated team

cortexTeam
object
required
catalogEntityTag
string
required
id
string
required
isArchived
boolean
required
metadata
object
required
slackChannels
object[]
required
teamTag
string
required
type
string
required
Last modified on September 24, 2026